{
        "name" : "DropboxUploadFile",
        "displayName" : "DropboxUploadFile",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.dropbox.UploadFileWorkitemHandler(\"clientIdentifier\", \"accessToken\")",
        "documentation" : "dropbox-workitem/index.html",
        "module" : "dropbox-workitem",
        "icon" : "DropboxUploadFile.png",
            "category" : "Dropbox",
            "description" : "Upload and download files from Dropbox",
            "keywords" : [
                                "DropBox"
                ,"file"
                ,"files"
                ,"upload"
                ,"document"
                ,"documents"

            ],
                "isaction" : "true",
                "actiontitle" : "Download a file from DropBox",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Dropbox client identifier"
                                           }
                    ,{
                                               "name" : "Dropbox access token"
                                           }

                ],
                "authreferencesite" : "https://www.dropbox.com/lp/developers",
            "parameters" : [
                                   {
                                       "name" : "Path",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Document",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "dropbox-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DropboxDownloadFile",
        "displayName" : "DropboxDownloadFile",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.dropbox.DownloadFileWorkitemHandler(\"clientIdentifier\", \"accessToken\")",
        "documentation" : "dropbox-workitem/index.html",
        "module" : "dropbox-workitem",
        "icon" : "DropboxDownloadFile.png",
            "category" : "Dropbox",
            "description" : "Upload and download files from Dropbox",
            "keywords" : [
                                "DropBox"
                ,"file"
                ,"files"
                ,"download"
                ,"document"
                ,"documents"

            ],
                "isaction" : "true",
                "actiontitle" : "Upload a file to DropBox",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Dropbox client identifier"
                                           }
                    ,{
                                               "name" : "Dropbox access token"
                                           }

                ],
                "authreferencesite" : "https://www.dropbox.com/lp/developers",
            "parameters" : [
                                   {
                                       "name" : "DocumentPath",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Document",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "dropbox-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
